EDIT - bug #8034

Recently used references shows all references

01/29/2019 04:27 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.10

Severity: normal Found in Version:

Description

... but should show only those of the correct type.

E.g. if you search for the journal of an article you may also get Proceedings (if you have selected them recently). This is not correct

and may lead to inconsistent data.

Related issues:

Related to EDIT - bug #7985: Remove Print Series from InProceedings, use "Pro... Closed

Related to EDIT - bug #8961: Using the selection dialogue for nomenclatural r... Closed

Associated revisions

Revision 6af26¢13 - 09/17/2019 02:12 PM - Katja Luther

ref #8034: filter last selected references by inReference type

Revision e126ec3a - 09/17/2019 02:12 PM - Katja Luther

ref #8034: filter last selected references by inReference type

Revision 44bee70c - 09/17/2019 02:58 PM - Katja Luther

fix #8034: preselected references should have correct type

Revision 3ea88987 - 09/18/2019 05:42 PM - Katja Luther

ref #8034: fix handling with recently selected references in s

Revision 2592728 - 09/18/2019 05:55 PM - Katja Luther

ref #8034: fixes for recently selected references

History

#1 - 01/29/2019 04:27 PM - Andreas Miuller

- Related to bug #7985: Remove Print Series from InProceedings, use "Proceedings" added

#2 - 01/29/2019 04:28 PM - Andreas Miuller

- Subject changed from Recently used references shows all reference to Recently used references shows all references

#3 - 02/22/2019 09:52 AM - Katja Luther
- Priority changed from New to Highest

- Target version changed from Release 5.6 to Release 5.7

#4 - 05/03/2019 04:52 PM - Katja Luther

- Target version changed from Release 5.7 to Release 5.8

#5 - 07/19/2019 03:21 PM - Andreas Miuller

- Target version changed from Release 5.8 to Release 5.10

#6 - 09/17/2019 02:17 PM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Patrick Plitzner
this is fixed. please review.

For review you should open a reference selection dialog and choose a journal.
In a second selection you should select any other type of reference

Then go to another reference of type article and open the inreference selection dialog and then only the last selected journal should be diplayed in the
preselected list of references.

#7 - 09/17/2019 02:59 PM - Katja Luther
- % Done changed from 0 to 50

Applied in changeset taxeditor|44bee70cbd379cac7115a2e9de9fda497{d4894f.

#8 - 09/18/2019 03:33 PM - Patrick Plitzner
- File picture417-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

| am not sure if | tested this correctly. Here is what | did:

1.1 selected a Generic reference as secundum for one taxon.
2. Then | hit "Edit" on that reference and it propsed the reference itself when trying to add an inReference (see Screenshot)
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/44bee70cbd379cac7115a2e9de9fda497fd4894f
#9 - 09/18/2019 03:35 PM - Katja Luther

the reference needs to be an article because therefore an inreference type exist

#10 - 09/18/2019 03:38 PM - Patrick Plitzner
Another thing | tested:
1.1 imported a specimen via ABCD import which had the generic reference "DNA_Bank"
2.1 tried to select an existing book reference (checked in bulk editor before) which did not show in the selection dialog.

3. | deleted the import reference
4. Then the book showed up.

This feels very unintuitive. | only realized that deleting could help because | knew of this ticket and supposed that the book is probably filtered
because it was not of the type of current reference (generic).
#11 - 09/18/2019 03:42 PM - Patrick Plitzner

ok, | tested the recently selected references with Article and Journal as InReference which works fine. Nevertheless the issue mentioned in
#8034#note-10 feels strange. But we may move this to the next milestone

#12 - 09/18/2019 04:53 PM - Katja Luther

Did you selected the book in a selection dialog or only in bulk editor? The recently selected references are only for selection dialogs

#13 - 09/18/2019 04:53 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

#14 - 09/18/2019 05:11 PM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Katja Luther
Katja Luther wrote:
Did you selected the book in a selection dialog or only in bulk editor? The recently selected references are only for selection dialogs
No, sorry, maybe | wrote this too confusing. | just wanted to say that | had a look at all references in the bulk editor to see which are available and
should be shown.
I only edited in the details view for the taxon.

#15 - 09/18/2019 05:26 PM - Patrick Plitzner

Hmm, now when | already have a reference for the secundum, the selection dialog only shows some of the last used references but does find any
other references when entering '?' or any letter

#16 - 09/18/2019 05:51 PM - Katja Luther

Patrick Plitzner wrote:

Hmm, now when | already have a reference for the secundum, the selection dialog only shows some of the last used references but does find
any other references when entering '?' or any letter

this should be fixed.

#17 - 09/18/2019 05:56 PM - Katja Luther

- Status changed from Feedback to Resolved

fix is committed, please review.

#18 - 09/18/2019 05:57 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

#19 - 09/19/2019 01:28 PM - Patrick Plitzner
- Status changed from Resolved to Closed
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 50 to 100

works fine

#20 - 04/20/2020 03:01 PM - Andreas Miiller

- Related to bug #8961: Using the selection dialogue for nomenclatural references removes the recently used list added

Files
